# sfddiff
A program for comparing fonts

`sfddiff [-merge outfile] [-ignorehints] [-version] [-help] sfdfile1 sfdfile2`

Sfddiff compares (or merges) two of fontforge's sfd files and checks for differences.

It will notice:

1. if the two fonts have different encodings
2. any characters present in one font but not in the other
3. any characters present in both fonts but which have different sets of outlines or references.
4. optionally will check if the hints are different.

If the `-merge` flag is specified the following argument should be the name of an output file into which sfddiff will store a merged version of the two fonts. This will contain everything from sfdfile1 as well as any characters present in sfdfile2 but not in sfdfile1. For any characters with different outlines or references, the background of the the character will contain the splines from sfdfile2 (sadly references can not be placed in the background).

If the `-ignorehints` flag is specified, then no hint differences will be reported.

`-help` will provide a mini description and will list the available options.

`-usage` will list the available options.

`-version` will display the current version of sfddiff (a six digit string containing the date stamp of the source files).

### Bugs

Doesn't work on CID keyed fonts yet.

### See Also

FontForge